Skip to main content
PUT
Update a message template

Authorizations

Authorization
string
header
required

Your API key from the Wave dashboard. Sandbox keys start sk_sandbox_; production keys start sk_live_. Send as Authorization: Bearer <key>. Some endpoints require a production key and specific scopes.

Path Parameters

name
string
required

Query Parameters

channel
enum<string>
default:whatsapp

The messaging channel. Default: whatsapp.

Available options:
whatsapp,
sms,
webchat,
email
language
string
required

The template language code (a template name can exist in more than one language).

Required string length: 2 - 35

Body

application/json
name
string
required
Required string length: 1 - 512
language
string
required
Required string length: 2 - 35
category
enum<string>
required
Available options:
MARKETING,
UTILITY,
AUTHENTICATION
templateId
string
Maximum string length: 128
body
string
Required string length: 1 - 1024
variables
string[]
otpButton
boolean
header
string
Required string length: 1 - 60
Required string length: 1 - 60
buttons
object[]
Maximum array length: 3

Response

The template is updated

name
string
language
string
status
enum<string>
Available options:
approved,
pending,
rejected
category
string
providerId
string